<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Data Structures</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Data Structures</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here are the data structures with brief descriptions:</div><div class="directory">
<table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_d_s_s_h_w_a_c_c_p_a_r_a_m_regs__t.html" target="_self">DSSHWACCPARAMRegs_t</a></td><td class="desc">Module DSS_HW_ACC_PARAM Register Definition </td></tr>
<tr id="row_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_d_s_s_h_w_a_c_c_regs__t.html" target="_self">DSSHWACCRegs_t</a></td><td class="desc">Module DSS_HW_ACC Register Definition </td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___accel_mode_c_f_a_r__t.html" target="_self">HWA_AccelModeCFAR_t</a></td><td class="desc">HWA Paramset Config for CFAR block </td></tr>
<tr id="row_3_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___accel_mode_f_f_t__t.html" target="_self">HWA_AccelModeFFT_t</a></td><td class="desc">HWA Paramset Config for FFT block </td></tr>
<tr id="row_4_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___common_config__t.html" target="_self">HWA_CommonConfig_t</a></td><td class="desc">HWA Common Config </td></tr>
<tr id="row_5_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___complex_multiply__t.html" target="_self">HWA_ComplexMultiply_t</a></td><td class="desc">HWA Paramset Config for ComplexMultiply block </td></tr>
<tr id="row_6_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___debug_stats__t.html" target="_self">HWA_DebugStats_t</a></td><td class="desc">HWA Debug statistics </td></tr>
<tr id="row_7_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___dest_config__t.html" target="_self">HWA_DestConfig_t</a></td><td class="desc">HWA Paramset Config for Output Formatter/Destination block </td></tr>
<tr id="row_8_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___done_interrupt_ctx__t.html" target="_self">HWA_DoneInterruptCtx_t</a></td><td class="desc">HWA Interrupt context structure for done interrupt </td></tr>
<tr id="row_9_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___driver__t.html" target="_self">HWA_Driver_t</a></td><td class="desc">HWA driver internal Config </td></tr>
<tr id="row_10_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___h_w_attrs__t.html" target="_self">HWA_HWAttrs_t</a></td><td class="desc">HWA H/W Parameters </td></tr>
<tr id="row_11_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___interrupt_config__t.html" target="_self">HWA_InterruptConfig_t</a></td><td class="desc">HWA Interrupt Config </td></tr>
<tr id="row_12_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___interrupt_ctx__t.html" target="_self">HWA_InterruptCtx_t</a></td><td class="desc">HWA Interrupt context structure for paramset done interrupt </td></tr>
<tr id="row_13_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___param_config__t.html" target="_self">HWA_ParamConfig_t</a></td><td class="desc">HWA Paramset Config </td></tr>
<tr id="row_14_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___source_config__t.html" target="_self">HWA_SourceConfig_t</a></td><td class="desc">HWA Paramset Config for Input Formatter/Source block </td></tr>
<tr id="row_15_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___src_d_m_a_config__t.html" target="_self">HWA_SrcDMAConfig_t</a></td><td class="desc">Source trigger DMA parameters </td></tr>
<tr id="row_16_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="struct_h_w_a___stats__t.html" target="_self">HWA_Stats_t</a></td><td class="desc">HWA Statistics from the STATISTICS block </td></tr>
<tr id="row_17_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structhwa_max_stats.html" target="_self">hwaMaxStats</a></td><td class="desc">Hardware accelerator stats Register Definition </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
